@echo off
setlocal

rem Set these to proper directories

rem Set this to where you installed Landslide API
set API_HOME=D:/COTS/tclapi

rem Set this to where Java/JRE is installed
set JRE_HOME=c:/Programs/Java/jdk1.6.0_10/jre

rem Change this to your TCL Executable, if you have your own TCL setup
set TCLSH=%API_HOME%/bin/tclsh84
rem set TCLSH=C:/Programs/Tcl/bin/tclsh84

rem DO NOT CHANGE ANYTHING BELOW THIS LINE

set XP_TCLJAVA_INSTALL_DIR=%API_HOME%/lib/tcljava1.4.0
set TCLJAVA_INSTALL_DIR=%API_HOME%/lib/tcljava1.4.0

rem Setup the CLASSPATH env variable
set CLASSPATH=%CLASSPATH%;
set CLASSPATH=%CLASSPATH%;%API_HOME%/sp_product.jar
set CLASSPATH=%CLASSPATH%;%API_HOME%/coast_shared.jar
set CLASSPATH=%CLASSPATH%;%API_HOME%/coast_client.jar
set CLASSPATH=%CLASSPATH%;%API_HOME%/landslidetclclient.jar

rem Setup TCLLIBPATH which becomes the default setting for the auto_path
rem in the Tcl shell. Tcl uses this when doing a "package require java".

set TCLLIBPATH=%TCL_LIB_HOME% %TCLLIBPATH% %API_HOME%/lib

rem Setup the PATH env variable so that Java and Tcl dlls can be found.
rem Prepend to PATH just in case a directory on the existing PATH
rem contains a dll with the same name as the ones Tcl Blend depend on.

set PATH=/bin;%JRE_HOME%/bin/client;%TCLJAVA_INSTALL_DIR%;%PATH%

%TCLSH% %1 %2 %3 %4 %5 %6 %7 %8 %9

endlocal

