@echo off
setlocal

rem Set this to where you installed Landslide API, i.e. most likle the directory this file is in
set API_HOME=D:/TclApi

rem Set this to where Java/JRE is installed
set JRE_HOME=C:/Programs/Java/zulu11.58.23-ca-jre11.0.16.1-win_x64

rem Set this to where Java/JRE main DLL is located
set JVM_LIB_PATH=C:/Programs/Java/zulu11.58.23-ca-jre11.0.16.1-win_x64/bin/server/jvm.dll

rem Set this to your TCL Executable location
set TCLSH=%API_HOME%/IronTcl/bin/tclsh86t

rem Change this as needed for memory
set JAVA_MAX_MEMORY=256m

rem DO NOT CHANGE ANYTHING BELOW THIS LINE

rem Setup the CLASSPATH env variable
set CLASSPATH=%CLASSPATH%;
set CLASSPATH=%CLASSPATH%;%API_HOME%/sp_product.jar
set CLASSPATH=%CLASSPATH%;%API_HOME%/coast_shared.jar
set CLASSPATH=%CLASSPATH%;%API_HOME%/coast_client.jar
set CLASSPATH=%CLASSPATH%;%API_HOME%/landslidetclclient.jar
set CLASSPATH=%CLASSPATH%;%API_HOME%/lib/tclJBlend-2.1/tclJBlend.jar

rem Setup TCLLIBPATH which becomes the default setting for the auto_path
rem in the Tcl shell. Tcl uses this when doing a "package require java".

set TCLLIBPATH=%TCL_LIB_HOME% %TCLLIBPATH% %API_HOME%/lib

rem Setup the PATH env variable so that Java and Tcl dlls can be found.
rem Prepend to PATH just in case a directory on the existing PATH
rem contains a dll with the same name as the ones Tcl Blend depend on.

set PATH=/bin;%JRE_HOME%/bin;%PATH%

%TCLSH% %1 %2 %3 %4 %5 %6 %7 %8 %9

endlocal

